Skip to main content
POST
/
api
/
v1
/
credits
/
estimate
Estimate Credits
curl --request POST \
  --url https://api.example.com/api/v1/credits/estimate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "operation_type": "<string>",
  "operation_count": 1,
  "file_size_mb": 1,
  "user_tier": "<string>"
}
'
import requests

url = "https://api.example.com/api/v1/credits/estimate"

payload = {
    "operation_type": "<string>",
    "operation_count": 1,
    "file_size_mb": 1,
    "user_tier": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    operation_type: '<string>',
    operation_count: 1,
    file_size_mb: 1,
    user_tier: '<string>'
  })
};

fetch('https://api.example.com/api/v1/credits/estimate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "credits_required": 1,
  "operation_type": "<string>",
  "operation_count": 123,
  "pricing_mode": "<string>",
  "unit_cost": 123,
  "tier_discount": 123,
  "breakdown": {}
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Credit cost estimation request model.

operation_type
string
required

Type of operation

operation_count
integer
default:1

Number of operations

Required range: x >= 1
file_size_mb
number | null

File size in MB

Required range: x >= 0
user_tier
string | null

User tier for pricing calculation

Response

Successful Response

Credit cost estimation response model.

credits_required
integer
required

Credits required for operation

Required range: x >= 0
operation_type
string
required

Type of operation

operation_count
integer
required

Number of operations

pricing_mode
string
required

Current pricing mode

unit_cost
integer
required

Cost per unit

tier_discount
number | null

Tier discount applied

breakdown
Breakdown · object | null

Cost breakdown by component